Overview | Modules | Class Hierarchy | Classes | Members

# tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator Class Reference

`#include <AbstractProperty.h>`

Inherits tlp::PropertyInterface::MetaValueCalculator.

Inheritance diagram for tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator:

[legend]
Collaboration diagram for tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator:

[legend]
List of all members.

### template<class Tnode, class Tedge, class TPROPERTY = PropertyAlgorithm>
class tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator

## Public Member Functions

- virtual void computeMetaValue (AbstractProperty< Tnode, Tedge, TPROPERTY > *, node, Graph *, Graph *)
- virtual void computeMetaValue (AbstractProperty< Tnode, Tedge, TPROPERTY > *, edge, Iterator< edge > *, Graph *)

## Member Function Documentation

template<class Tnode, class Tedge, class TPROPERTY = PropertyAlgorithm>
virtual void tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator::computeMetaValue | ( | AbstractProperty< Tnode, Tedge, TPROPERTY > * | ,
|  | edge | ,
|  | Iterator< edge > * | ,
|  | Graph * |
| ) | `[inline, virtual]`

template<class Tnode, class Tedge, class TPROPERTY = PropertyAlgorithm>
virtual void tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator::computeMetaValue | ( | AbstractProperty< Tnode, Tedge, TPROPERTY > * | ,
|  | node | ,
|  | Graph * | ,
|  | Graph * |
| ) | `[inline, virtual]`

Tulip Software by LaBRI Visualization Team 2001 - 2010